scala.runtime
object ScalaRunTime

[source: `scala/runtime/ScalaRunTime.scala`]

`` `object` ScalaRunTime
  `extends` AnyRef

Value Summary
`val` | BooleanTag : java.lang.String
`val` | ByteTag : java.lang.String Names for primitive types, used by array unboxing
`val` | CharTag : java.lang.String
`val` | DoubleTag : java.lang.String
`val` | FloatTag : java.lang.String
`val` | IntTag : java.lang.String
`val` | LongTag : java.lang.String
`val` | ShortTag : java.lang.String

Method Summary
`def` | Seq [A](xs : A*) : Seq[A]
`def` | Try [A](block : => A) : Try[A]
`def` | _equals (x : Product, y : Any) : Boolean
`def` | _equalsWithVarArgs (x : Product, y : Any) : Boolean
`def` | _hashCode (x : Product) : Int
`def` | _toString (x : Product) : java.lang.String
`def` | arrayValue (x : BoxedArray, elemTag : java.lang.String) : AnyRef
`def` | arrayValue (x : BoxedArray, elemClass : java.lang.Class) : AnyRef
`def` | boxArray (value : AnyRef) : BoxedArray
`def` | caseFields (x : Product) : List[Any]
`def` | checkInitialized [T <: AnyRef](x : T) : T
`def` | isArray (x : AnyRef) : Boolean
`def` | isValueClass (clazz : java.lang.Class) : Boolean
`def` | isValueTag (tag : java.lang.String) : Boolean

Methods inherited from AnyRef
getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Class Summary
`abstract class` | Try [A]`extends` AnyRef

Value Details

`` `val` ByteTag : java.lang.String

  Names for primitive types, used by array unboxing

`` `val` ShortTag : java.lang.String

`` `val` CharTag : java.lang.String

`` `val` IntTag : java.lang.String

`` `val` LongTag : java.lang.String

`` `val` FloatTag : java.lang.String

`` `val` DoubleTag : java.lang.String

`` `val` BooleanTag : java.lang.String

Method Details

`` `def` isArray(x : AnyRef) : Boolean

`` `def` isValueTag(tag : java.lang.String) : Boolean

`` `def` isValueClass(clazz : java.lang.Class) : Boolean

`` `def` checkInitialized[T <: AnyRef](x : T) : T

`` `def` Try[A](block : => A) : Try[A]

`` `def` caseFields(x : Product) : List[Any]

`` `def` _toString(x : Product) : java.lang.String

`` `def` _hashCode(x : Product) : Int

`` `def` _equals(x : Product, y : Any) : Boolean

`` `def` _equalsWithVarArgs(x : Product, y : Any) : Boolean

`` `def` Seq[A](xs : A*) : Seq[A]

`` `def` arrayValue(x : BoxedArray, elemTag : java.lang.String) : AnyRef

`` `def` arrayValue(x : BoxedArray, elemClass : java.lang.Class) : AnyRef

`` `def` boxArray(value : AnyRef) : BoxedArray